Opened 4 months ago

Last modified 7 weeks ago

#33288 new defect

forrestii/fpcentral still has stretch packages (mongodb)

Reported by: anarcat Owned by: cypherpunks
Priority: High Milestone:
Component: Applications/Quality Assurance and Testing Version:
Severity: Major Keywords:
Cc: tbb-team, boklm Actual Points:
Parent ID: #33654 Points:
Reviewer: Sponsor: Sponsor58

Description

fpcentral requires mongodb to operate, but that package was removed from Debian stable in february 2019, mainly because of license problems. to quote wikipedia:

MongoDB has been dropped from the Debian, Fedora and Red Hat Enterprise Linux distributions due to the licensing change. Fedora determined that the SSPL version 1 is not a free software license because it is "intentionally crafted to be aggressively discriminatory" towards commercial users.

(there is also an unpatched security issue against mongodb, by the way...)

we can't maintain this service like that in the long term. stretch will stop being supported this summer and mongodb isn't supported in its free form.

what's the plan for replacing mongodb?

Child Tickets

Change History (3)

comment:1 Changed 4 months ago by boklm

Cc: tbb-team boklm added

comment:2 Changed 8 weeks ago by sysrqb

Sponsor: Sponsor58

Adding S58 on testsuite tickets.

comment:3 Changed 7 weeks ago by pili

Parent ID: #33654
Note: See TracTickets for help on using tickets.